From c7d6d962fa0b907d0e07c68103410d682c9f03dd Mon Sep 17 00:00:00 2001
From: wyrie <wyrie@ispconfig3>
Date: Mon, 11 Oct 2010 13:11:55 +0000
Subject: [PATCH]

---
 helper_scripts/gentoo_setup.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/helper_scripts/gentoo_setup.sh b/helper_scripts/gentoo_setup.sh
index 9e78b6debf..3c736a378e 100644
--- a/helper_scripts/gentoo_setup.sh
+++ b/helper_scripts/gentoo_setup.sh
@@ -408,7 +408,7 @@ function meta_web()
 	
 	is_package_installed "www-misc/awstats" "vhosts apache2" || package_list="$package_list www-misc/awstats"
 	
-	if ! is_package_installed "app-admin/vlogger"
+	if ! is_package_installed "app-admin/vlogger" "dbi"
 	then
 		# Check if package is masked
 		if [ -n "$(equery -C -N list -I -o -e app-admin/vlogger | grep app-admin/vlogger | awk '{print $2}' | grep '^\[M')" ]
@@ -446,6 +446,10 @@ function meta_web()
 	
 	is_package_installed "sys-auth/pam_mysql" || package_list="$package_list sys-auth/pam_mysql"
 	
+	is_package_installed "app-admin/sudo" || package_list="$package_list app-admin/sudo"
+	
+	is_package_installed "app-arch/zip" || package_list="$package_list app-arch/zip"
+	
 	if ! is_package_installed "app-admin/jailkit"
 	then
 		# Check if package is masked
-- 
GitLab